#
# spec file for package tesseract-ocr (Version 1.02)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# neededforbuild  gcc-c++ libjpeg libjpeg-devel libstdc++-devel libtiff libtiff-devel

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gcc-c++ gdbm gettext libjpeg libjpeg-devel libstdc++-devel libtiff libtiff-devel libtool perl rpm

Name:           tesseract-ocr
Requires:       perl
License:        Apache, Other License(s), see package
Group:          Productivity/Text/Convertors
Autoreqprov:    on
Version:        1.02
Release:        1
Summary:        an OCR engine
Url:            http://sourceforge.net/projects/tesseract-ocr
Source:         http://prdownloads.sourceforge.net/tesseract-ocr/tesseract-%{version}.tar.gz
Source1:        tess2col.pl
Patch:          abuild.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch: %ix86

%description
A commercial quality OCR engine originally developed at HP between 1985
and 1995. In 1995, this engine was among the top 3 evaluated by UNLV.
It was open-sourced by HP and UNLV in 2005.



Authors:
--------
    Ray Smith <theraysmith@users.sourceforge.net>

%prep
%setup -n tesseract-%{version}
%patch -p1
cp %{S:1} .

%build
CXXFLAGS="$RPM_OPT_FLAGS -DTESSDATA_PREFIX=%{_datadir}/%{name}/" \
CFLAGS="  $RPM_OPT_FLAGS -DTESSDATA_PREFIX=%{_datadir}/%{name}/" \
./configure --prefix=/usr/bin
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 tess2col.pl $RPM_BUILD_ROOT/%{_bindir}/tess2col
install -m 755 ccmain/tesseract $RPM_BUILD_ROOT/%{_bindir}/tesseract
mkdir -p       $RPM_BUILD_ROOT/%{_datadir}/%{name}
cp -a tessdata $RPM_BUILD_ROOT/%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-,root,root)
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%changelog -n tesseract-ocr
* Fri Oct 06 2006 - jw@suse.de
- initial release 1.02
  minimal patches to make it compile with abuild, untested.
